import React from "react";
import { Link, withRouter } from "react-router-dom";

class Navigation extends React.Component{
    render(){
        return (
          <div className="navigation">
            <nav className="navbar navbar-expand navbar-dark bg-dark">
              <div className="container">
                <Link className="navbar-brand" to="/">
                  React Libraries
                </Link>
                <ul className="navbar-nav ml-auto">
                  <li className={`nav-item  ${this.props.location.pathname === "/" ? "active" : ""}`}>
                    <Link className="nav-link" to="/">Home</Link>
                  </li>
                  <li className={`nav-item  ${this.props.location.pathname === "/pigeon-map" ? "active" : ""}`}>
                    <Link className="nav-link" to="/pigeon-map">Pigeon Map</Link>
                  </li>
                  <li className={`nav-item  ${this.props.location.pathname === "/mapbox-gl" ? "active" : ""}`}>
                    <Link className="nav-link" to="/mapbox-gl">Mapbox GL</Link>
                  </li>
                </ul>
              </div>
            </nav>
          </div>
        );
    }
}

export default withRouter(Navigation);
