import React from 'react';
import User from './User';

import { BrowserRouter as Router, Route, Switch } from "react-router-dom";
import Navigation from './Navigation';
import Footer from './Footer';
import Home from './Home';
import About  from './About';
import Pigeon  from './Pigeon';
import Mapbox  from './Mapbox';

export class App extends React.Component{
    render(){
        return (
          <div>
              <Router>
                <Navigation />
                <Switch>
                  <Route path="/" exact component={Home} />
                  <Route path="/about" exact component={About} />
                  <Route path="/pigeon-map" exact component={Pigeon} />
                  <Route path="/mapbox-gl" exact component={Mapbox} />
                </Switch>
                <Footer />
              </Router>
          </div>
        )
    }

}